Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::DoubleParam Class Reference

`#include <params.h>`

Inheritance diagram for tesseract::DoubleParam:

List of all members.

## Public Member Functions

| DoubleParam (double value, const char *name, const char *comment, bool init, ParamsVectors *vec)
| ~DoubleParam ()
| operator double () const
void | set_value (double value)
Public Member Functions inherited from tesseract::Param
| ~Param ()
const char * | name_str () const
const char * | info_str () const
bool | is_init () const
bool | is_debug () const
bool | constraint_ok (SetParamConstraint constraint) const

## Additional Inherited Members

Protected Member Functions inherited from tesseract::Param
| Param (const char *name, const char *comment, bool init)
Protected Attributes inherited from tesseract::Param
const char * | name_
const char * | info_
bool | init_
bool | debug_

## Detailed Description

Definition at line 197 of file params.h.

## Constructor & Destructor Documentation

tesseract::DoubleParam::DoubleParam | ( | double | value,
|  | const char * | name,
|  | const char * | comment,
|  | bool | init,
|  | ParamsVectors * | vec
| ) |  |

inline

Definition at line 199 of file params.h.

: Param(name, comment, init) {
value_ = value;
params_vec_ = &(vec->double_params);
vec->double_params.push_back(this);
}

tesseract::DoubleParam::~DoubleParam | ( |  | ) |

inline

Definition at line 205 of file params.h.

{ ParamUtils::RemoveParam<DoubleParam>(this, params_vec_); }

## Member Function Documentation

tesseract::DoubleParam::operator double | ( |  | ) | const

inline

Definition at line 206 of file params.h.

{ return value_; }

void tesseract::DoubleParam::set_value | ( | double | value | ) |

inline

Definition at line 207 of file params.h.

{ value_ = value; }

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/params.h